# PetscViewerVUSetVecSeen

Sets the flag which indicates whether we have viewed a vector. This is usually called internally rather than by a user.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscViewerVUSetVecSeen(PetscViewer viewer, PetscTruth vecSeen)

Not Collective

### Input Parameters

| viewer | - The PetscViewer
| vecSeen | - The flag which indicates whether we have viewed a vector

### Keywords

Viewer, Vec

### See Also

PetscViewerVUGetVecSeen()

Level:advanced
Location: src/sys/viewer/impls/vu/petscvu.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages